tvbrowser.core.plugin

## Class PluginManagerImpl.RatingFieldRating

- java.lang.Object
- - tvbrowser.core.plugin.PluginManagerImpl.RatingFieldRating

- All Implemented Interfaces:
    ProgramRatingIf
  Enclosing class:
    PluginManagerImpl

      public static class PluginManagerImpl.RatingFieldRating
      extends java.lang.Object
      implements ProgramRatingIf

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginManagerImpl.RatingFieldRating()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.Icon` | `getIcon()` Icon for this interface that is displayed by other plugins
    `javax.swing.Icon` | `getIconForProgram(Program program)` Get Icon for the rating.
    `java.lang.String` | `getName()` Name for this interface that is displayed by other plugins
    `int` | `getRatingForProgram(Program program)` Returns a rating for this program.
    `boolean` | `hasDetailsDialog()` Has this plugin a dialog that displays details about this rating?
    `void` | `showDetailsFor(Program p)` shows a detail dialog for a rating

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginManagerImpl.RatingFieldRating

          public PluginManagerImpl.RatingFieldRating()

  - ### Method Detail

    - #### getIcon

          public javax.swing.Icon getIcon()

      Description copied from interface: `ProgramRatingIf`
      Icon for this interface that is displayed by other plugins
      Specified by:
        `getIcon` in interface `ProgramRatingIf`
      Returns:
        Icon

    - #### getIconForProgram

          public javax.swing.Icon getIconForProgram(Program program)

      Description copied from interface: `ProgramRatingIf`
      Get Icon for the rating. This gives plugins the opportunity to show it's icon for the specific rating
      Specified by:
        `getIconForProgram` in interface `ProgramRatingIf`
      Parameters:
        `program` - program to get icon for
      Returns:
        icon for rating, `null` if no rating is available

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `ProgramRatingIf`
      Name for this interface that is displayed by other plugins
      Specified by:
        `getName` in interface `ProgramRatingIf`
      Returns:
        Name

    - #### getRatingForProgram

          public int getRatingForProgram(Program program)

      Description copied from interface: `ProgramRatingIf`
      Returns a rating for this program. The rating must be between 0 and 100, -1 if no rating is available
      Specified by:
        `getRatingForProgram` in interface `ProgramRatingIf`
      Parameters:
        `program` - program to get rating for
      Returns:
        rating for the program (between 0 and 100), -1 if no rating is available

    - #### hasDetailsDialog

          public boolean hasDetailsDialog()

      Description copied from interface: `ProgramRatingIf`
      Has this plugin a dialog that displays details about this rating?
      Specified by:
        `hasDetailsDialog` in interface `ProgramRatingIf`
      Returns:
        `true` if the plugin is able to show details of the rating

    - #### showDetailsFor

          public void showDetailsFor(Program p)

      Description copied from interface: `ProgramRatingIf`
      shows a detail dialog for a rating
      Specified by:
        `showDetailsFor` in interface `ProgramRatingIf`
      Parameters:
        `p` - show dialog for this program

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)